#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{
    long long int N;
    int K;
    int br;

    scanf("%lld",&N);
    scanf("%d",&K);

    int *A = (int *)calloc((2*N+1),sizeof(int));

    for(int i=0;i<N;i++)
    {
        scanf("%d",&br);
        A[br+N] ++;
    }

    br=0;

    for(int i=0;i<(2*N+1);i++)
    {
        if(A[i] >= K) br++;
    }

    printf("%d\n",br);

    for(int i=0;i<(2*N+1);i++)
    {
        if(A[i] >= K) printf("%lld ",i-N);
    }

}